ETSI STF525 / Internal Testing test suite This project provides an internal testing test suite and its associated Test Adapter/Codec

Public Member Functions | List of all members
EtsiTs103097Codec_Data Class Reference

`#include <EtsiTs103097Codec_Data.hh>`

Inheritance diagram for EtsiTs103097Codec_Data:

## Public Member Functions
| EtsiTs103097Codec_Data ()
virtual | ~EtsiTs103097Codec_Data ()
virtual int | encode (const IEEE1609dot2::Ieee1609Dot2Data &p_ieee1609Dot2Data, OCTETSTRING &p_data)
| Encode typed message into an octet string. More...
virtual int | decode (const OCTETSTRING &p_data, IEEE1609dot2::Ieee1609Dot2Data &p_ieee1609Dot2Data, Params *params=NULL)
| Encode typed message into an octet string format. More...
Public Member Functions inherited from Codec< IEEE1609dot2::Ieee1609Dot2Data, IEEE1609dot2::Ieee1609Dot2Data >
| Codec ()
| Reference to Params stack. More...
virtual | ~Codec ()
| Default destructor . More...

## Additional Inherited Members
Protected Attributes inherited from Codec< IEEE1609dot2::Ieee1609Dot2Data, IEEE1609dot2::Ieee1609Dot2Data >
Params * | _params

## Constructor & Destructor Documentation

## ◆ EtsiTs103097Codec_Data()

EtsiTs103097Codec_Data::EtsiTs103097Codec_Data | ( |  | ) |
| inline explicit

## ◆ ~EtsiTs103097Codec_Data()

virtual EtsiTs103097Codec_Data::~EtsiTs103097Codec_Data | ( |  | ) |
| inline virtual

## Member Function Documentation

## ◆ decode()

int EtsiTs103097Codec_Data::decode | ( | const OCTETSTRING & | p_,
|  | IEEE1609dot2::Ieee1609Dot2Data & | p_message,
|  | Params * | p_params = `NULL`
| ) |  |
| virtual

Encode typed message into an octet string format.

Parameters

  [in] | p_data | The message in its octet string
  [out] | p_message | The decoded typed message

Returns
  0 on success, -1 otherwise

Implements Codec< IEEE1609dot2::Ieee1609Dot2Data, IEEE1609dot2::Ieee1609Dot2Data >.

## ◆ encode()

int EtsiTs103097Codec_Data::encode | ( | const IEEE1609dot2::Ieee1609Dot2Data & | msg,
|  | OCTETSTRING & | data
| ) |  |
| virtual

Encode typed message into an octet string.

Parameters

  [in] | p_message | The typed message to be encoded
  [out] | p_data | The encoding result

Returns
  0 on success, -1 otherwise

Implements Codec< IEEE1609dot2::Ieee1609Dot2Data, IEEE1609dot2::Ieee1609Dot2Data >.

The documentation for this class was generated from the following files:

- /home/vagrant/TriesAndDelete/etsi_its/framework/include/EtsiTs103097Codec_Data.hh
- /home/vagrant/TriesAndDelete/etsi_its/framework/src/EtsiTs103097Codec_Data.cc